"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const ServiceClient_1 = require("../JSONRPC11/ServiceClient");
const json_1 = require("../../json");
class WorkspaceClient extends ServiceClient_1.ServiceClient {
    constructor() {
        super(...arguments);
        this.module = 'Workspace';
    }
    ver() {
        return __awaiter(this, void 0, void 0, function* () {
            const [result] = yield this.callFunc('ver', [null]);
            return result;
        });
    }
    get_object_info3(params) {
        return __awaiter(this, void 0, void 0, function* () {
            const [objectInfo] = yield this.callFunc('get_object_info3', [(0, json_1.objectToJSONObject)(params)]);
            return objectInfo;
        });
    }
    get_workspace_info(params) {
        return __awaiter(this, void 0, void 0, function* () {
            const [result] = yield this.callFunc('get_workspace_info', [(0, json_1.objectToJSONObject)(params)]);
            return result;
        });
    }
    list_workspace_info(params) {
        return __awaiter(this, void 0, void 0, function* () {
            const [result] = yield this.callFunc('list_workspace_info', [(0, json_1.objectToJSONObject)(params)]);
            return result;
        });
    }
}
exports.default = WorkspaceClient;
//# sourceMappingURL=Workspace.js.map